summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorVictor Lowther <victor.lowther@gmail.com>2008-02-08 18:06:20 -0600
committerVictor Lowther <victor.lowther@gmail.com>2008-02-08 18:06:20 -0600
commitda9134ce814cb70db21be481607067d59d57682c (patch)
tree1cf8ce6288edeffac1a5813a90a5dabfcf84a469
parentd8dcc81a0fa75b9a43bf5caf3d5b2fc21ee31520 (diff)
Added a little script to build and install pm-utils in a temp
directory.
-rwxr-xr-xtest-pm-utils18
1 files changed, 18 insertions, 0 deletions
diff --git a/test-pm-utils b/test-pm-utils
new file mode 100755
index 0000000..1f834a0
--- /dev/null
+++ b/test-pm-utils
@@ -0,0 +1,18 @@
+#!/bin/bash
+opwd="$PWD"
+tgt="/tmp/pm-utils-$$"
+mkdir -p "$tgt"
+trap 'rm -rf "$tgt"' 0
+cd "$tgt" && \
+cp -t "$tgt" -a "${opwd}"/* && \
+autoreconf --install && \
+./configure "--prefix=$tgt/target" && \
+make && \
+make install && {
+ echo "Build sucessfull. Dropping to a shell to test."
+ echo "Files were installed in $tgt/target"
+} || echo "Build failed. Dropping to a shell so you can see what happened."
+echo "Exiting from this shell will erase $tgt"
+cd "$tgt/" && \
+bash -i && \
+cd "$opwd"